summaryrefslogtreecommitdiffstats
path: root/ci/report/build_local.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/report/build_local.sh')
-rwxr-xr-xci/report/build_local.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/ci/report/build_local.sh b/ci/report/build_local.sh
new file mode 100755
index 00000000..2af08917
--- /dev/null
+++ b/ci/report/build_local.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Call this file to generate a report locally
+
+set -e
+
+python3 -m venv ~/env-builder
+source ~/env-builder/bin/activate
+pip3 install junitparser
+pip3 install junit2html
+
+./ci/report/report_builder.py --folder ./results thin-edge ci_pipeline.yml --download